Get Offer Visibility
curl --request GET \
--url https://api.eflow.team/v1/networks/offers/{offerId}/visibility \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/offers/{offerId}/visibility"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/offers/{offerId}/visibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_id": 123,
"network_offer_id": 123,
"network_affiliate_visible_ids": [
123
],
"network_affiliate_rejected_ids": [
123
],
"network_affiliate_hidden_ids": [
123
]
}Offer Visibility
Get Offer Visibility
GET
/
networks
/
offers
/
{offerId}
/
visibility
Get Offer Visibility
Retrieve the visibility settings for a specific offer. Returns the lists of affiliate IDs that have visible, rejected, or hidden access to the offer.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The offer ID.
Response
200 - application/json
Network ID.
Offer ID.
Affiliate IDs with visible access to the offer.
Affiliate IDs with rejected access to the offer.
Affiliate IDs with hidden access to the offer.
Was this page helpful?
⌘I
